Page MenuHomePhabricator

Allow including multiple specific entity types in a Wikibase dump
Closed, ResolvedPublic

Description

Right now entity dumps generated via the maintenance scripts (dumpJson.php/ dumpRdf.php) can only be filtered to either contain all entity types (default) or just a single one (via --entity-type). (Note: For RDF dumps we also have the disabledRdfExportEntityTypes setting, see also T194627).

It should be possible to specify multiple --entity-type arguments, so that all of these entity types are included.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterDumps: Allow several --entity-type arguments
mediawiki/extensions/Wikibase : wmf/1.32.0-wmf.5Dumps: Allow several --entity-type arguments

Event Timeline

hoo created this task.May 23 2018, 9:53 PM

Change 434807 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Dumps: Allow several --entity-type arguments

https://gerrit.wikimedia.org/r/434807

hoo renamed this task from Allow including multiple entity types in a Wikibase dump to Allow including multiple specific entity types in a Wikibase dump.May 23 2018, 9:56 PM
hoo moved this task from Tasks to Needs Review on the Wikidata-Ministry-Of-Magic board.

Change 434807 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Dumps: Allow several --entity-type arguments

https://gerrit.wikimedia.org/r/434807

Change 435060 had a related patch set uploaded (by Ladsgroup; owner: Hoo man):
[mediawiki/extensions/Wikibase@wmf/1.32.0-wmf.5] Dumps: Allow several --entity-type arguments

https://gerrit.wikimedia.org/r/435060

Change 435060 merged by Ladsgroup:
[mediawiki/extensions/Wikibase@wmf/1.32.0-wmf.5] Dumps: Allow several --entity-type arguments

https://gerrit.wikimedia.org/r/435060

Mentioned in SAL (#wikimedia-operations) [2018-05-24T23:13:19Z] <ladsgroup@tin> Synchronized php-1.32.0-wmf.5/extensions/Wikibase: Dumps: Allow several --entity-type arguments (T195420) (duration: 02m 25s)

Lea_Lacroix_WMDE closed this task as Resolved.May 28 2018, 9:44 AM
Vvjjkkii renamed this task from Allow including multiple specific entity types in a Wikibase dump to zecaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed hoo as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
ArielGlenn renamed this task from zecaaaaaaa to Allow including multiple specific entity types in a Wikibase dump.Jul 1 2018, 1:05 PM
ArielGlenn closed this task as Resolved.
ArielGlenn assigned this task to hoo.
ArielGlenn raised the priority of this task from High to Needs Triage.
ArielGlenn updated the task description. (Show Details)
ArielGlenn added subscribers: GerritBot, Aklapper.